#!/bin/sh
set -e

if [ "${1}" = "configure" ] && [ -z "${2}" ]; then
  if ! getent group nlx >/dev/null; then
    groupadd --system nlx
  fi

  if ! getent passwd nlx >/dev/null; then
    adduser --quiet --system --no-create-home --home /etc/nlx --shell /usr/sbin/nologin --ingroup nlx nlx
  fi

  chmod 0640 /etc/nlx/nlx-outway.conf
  chown root:nlx /etc/nlx/nlx-outway.conf
fi

#DEBHELPER#
